Consent Management
Start OAuth Authorization
Initiates a request for authorization of a Connected App
POST
C#
Initiates a request for authorization of a Connected App to access a User’s account.
Call this endpoint using the query parameters from an OAuth Authorization request. This endpoint validates various fields (
This endpoint returns:
scope, client_id, redirect_uri, prompt, etc…) are correct and returns relevant information for rendering an OAuth Consent Screen.
We recommend configuring a Custom Domain whenever possible. This ensures the issuer on authorization responses matches the advertised issuer.
- A public representation of the Connected App requesting authorization
- Whether explicit user consent must be granted before proceeding with the authorization
- A list of scopes the user has the ability to grant the Connected App
user_idsession_tokensession_jwt
session_token or session_jwt is passed, the OAuth Authorization will be linked to the user’s session for tracking purposes. One of these fields must be used if the Connected App intends to complete the Exchange Access Token flow.Authorizations
Body
application/json
Request type
Response
Successful response
The user object affected by this API call. See the Get user endpoint for complete response field details.